local frame = CreateFrame("Frame", "AutoActionCam")

frame:RegisterEvent("ADDON_LOADED")
frame:RegisterEvent("PLAYER_LOGIN")
frame:RegisterEvent("PLAYER_LOGOUT")

function frame:OnEvent(event, ...)
    if event == "ADDON_LOADED" and ... == "AutoActionCam" then
        if CamSetting == nil then
            CamSetting = "full"
        end
    elseif event == "PLAYER_LOGIN" then
        SetCVar("ActionCam", CamSetting)
    elseif event == "PLAYER_LOGOUT" then
        CamSetting = GetCVar("ActionCam")
    end
end
frame:SetScript("OnEvent", frame.OnEvent)

SLASH_AAC1 = "/aac"
SlashCmdList["AAC"] = AAC_SlashHandler
function AAC_SlashHandler(msg)
    if (string.lower(msg) == "on") then
        SetCvar("ActionCam", "full")
    elseif (string.lower(msg) == "off") then
        SetCvar("ActionCam", "off")
    else
        print("Syntax: /acc (on|off)")
    end
end
